CVE-2019-11753

NameCVE-2019-11753
DescriptionThe Firefox installer allows Firefox to be installed to a custom user writable location, leaving it unprotected from manipulation by unprivileged users or malware. If the Mozilla Maintenance Service is manipulated to update this unprotected location and the updated maintenance service in the unprotected location has been altered, the altered maintenance service can run with elevated privileges during the update process due to a lack of integrity checks. This allows for privilege escalation if the executable has been replaced locally. <br>*Note: This attack requires local system access and only affects Windows. Other operating systems are not affected.*. This vulnerability affects Firefox < 69, Firefox ESR < 60.9, and Firefox ESR < 68.1.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid79.0-1fixed
firefox-esr (PTS)stretch68.10.0esr-1~deb9u1fixed
stretch (security)68.11.0esr-1~deb9u1fixed
buster68.10.0esr-1~deb10u1fixed
buster (security)68.11.0esr-1~deb10u1fixed
bullseye, sid68.11.0esr-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)(not affected)
firefox-esrsource(unstable)(not affected)

Notes

- firefox <not-affected> (Windows-specific)
- firefox-esr <not-affected> (Windows-specific)
https://www.mozilla.org/en-US/security/advisories/mfsa2019-25/#CVE-2019-11753
https://www.mozilla.org/en-US/security/advisories/mfsa2019-26/#CVE-2019-11753
https://www.mozilla.org/en-US/security/advisories/mfsa2019-27/#CVE-2019-11753
https://www.mozilla.org/en-US/security/advisories/mfsa2019-29/#CVE-2019-11753

Search for package or bug name: Reporting problems